Redmine installation on heroku

2013-06-04 13:42 - vivek tyagi

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 2.3.1

Description

I am not able to use redmine on heroku, all the time I push the code to heroku my app crahes. I have tried almost everything.

Thanks

Vivek Tyagi

Related issues:

Related to Redmine - Defect #14194: Getting error in heroku push Closed

History

#1 - 2013-06-06 11:46 - Jan Niggemann (redmine.org team member)

- Status changed from New to Needs feedback

- Priority changed from High to Low

What errors do you get?

Have you asked the Heroku staff?

Why do you beleive that this is an issue in redmine?

#2 - 2013-06-07 05:48 - vivek tyagi

If I am completely wrong(acc. to you), then you haven't tried pushing the code to heroku. There are no. of things that you will get while pushing the

code to heroku. Like,

1.) there is an error of sqlite lib. if you download you still get the same thing that and it is that, you will not be able to push the code to heroku.

2.) You will get an error of tiny_tds. if you know it then you know the reasons for it. If not just update me I'll tell you.

3.) then the prototype_legacy_helper error.

4.) then you are not able to load your assets properly.

These are the some that you will get.

And yes be gentel when you ask or comment on some.

Thanks and have a nice day

Vivek

#3 - 2013-06-07 09:06 - Etienne Massip

There are a lot of guides over the Internet describing a deployment of Redmine on Heroku, did you read them?

E.g. http://railsguides.net/2012/04/28/how-to-deploy-redmine-to-heroku.

I don't think that Jan was rude BTW; you have to read SubmittingBugs before posting a bug and provide as much information as possible.

Because these information are not provided this ticket could/should be closed.

#4 - 2013-06-07 09:45 - Toshi MARUYAMA

- Related to Defect #14194: Getting error in heroku push added

#5 - 2013-06-07 11:39 - vivek tyagi

Ok  Etienne Massip, let me explain you thinks that actually faced.

tiny_tds requires freetds lib and freetds have the dependency of ubuntu 12.04 and heroku is on 10 or something and in redmine we don't have
anything that can manage dependency. This the think that I read While I was reading thinks for the deployment and the that you send me is also the

part of my tut.

This is the one think that I remember now. I'll send you and update you about other problems also as I get it.

Thanks

Vivek

#6 - 2015-08-23 17:20 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

Powered by TCPDF (www.tcpdf.org)

2025-05-13 2/2

http://www.tcpdf.org

